Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
ReplicationConfig..::.Strict2Site Field
ReplicationConfig Class See Also

If true, the Replication Manager will observe the strict "majority" rule in managing elections, even in a group with only 2 sites. This means the client in a 2-site group will be unable to take over as master if the original master fails or becomes disconnected. (See the Elections section in the Berkeley DB Reference Guide for more information.) Both sites in the replication group should have the same value for this parameter.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public bool Strict2Site

Visual Basic (Declaration)
    Public Strict2Site As Boolean

Visual C++
    public:
    bool Strict2Site

# See Also

ReplicationConfig Class
BerkeleyDB Namespace